package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "APP - 货位卡信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskHwkRespVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "25325")
    private Long id;

    @Schema(description = "仓房名称")
    private String cfmc;

    @Schema(description = "货位名称")
    private String hwmc;

    @Schema(description = "粮食品种名称")
    private String lspzmc;

    @Schema(description = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)")
    private String lsdjbm;

    @Schema(description = "收获年度")
    private Integer shnd;

    @Schema(description = "产地编码(system_area_level.area_code)")
    private String cdbm;

    @Schema(description = "产地名称")
    private String areaName;

    @Schema(description = "入库时间")
    private String rksj;

    @Schema(description = "实际数量(吨)")
    private BigDecimal sjsl;

    @Schema(description = "计价数量(吨)")
    private BigDecimal jjsl;

    @Schema(description = "保管方式")
    private String bgfs;

    @Schema(description = "保管员姓名")
    private String bgyxm;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", example = "26067")
    private Long cfId;

    @Schema(description = "库区id(DELIVERY_KQXX.ID)", example = "14953")
    private Long kqid;

}