package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "APP - 粮情检测信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskLqjcxxRespVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "16670")
    private Long id;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "12922")
    private Long cfId;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "8842")
    private Long hwkId;

    @Schema(description = "仓房外温(℃)")
    private BigDecimal cww;

    @Schema(description = "仓房外湿度(%)")
    private BigDecimal cws;

    @Schema(description = "仓房内温(℃)")
    private BigDecimal cnw;

    @Schema(description = "仓房内湿(%)")
    private BigDecimal cns;

    @Schema(description = "粮食最高温(℃)")
    private BigDecimal lszgw;

    @Schema(description = "粮食最低温(℃)")
    private BigDecimal lszdw;

    @Schema(description = "粮食平均温(℃)")
    private BigDecimal lspjw;

    @Schema(description = "附件多个逗号隔开'',''(INFRA_FILE.URL)")
    private String fileIds;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @Schema(description = "粮食品种名称")
    private String lspzmc;

    @Schema(description = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)")
    private String lsdjbm;
}